Linked Questions

1
vote
0answers
243 views

Will gcc >= 4.7 ever come officially to 12.04? [duplicate]

We have ubuntu 12.04 LTS installed at our systems, and we would like to use gcc >= 4.7 for C++11 support. Will a version of gcc >= 4.7 be added to the standard repositories (any time soon) or will the ...
0
votes
0answers
28 views

Installing GCC 4.9 on 12.04 (precise) [duplicate]

I can't find any ppa's that provide gcc 4.9 for Ubuntu 12.04. Any suggestions on how to obtain it? Note: this is probably not a duplicate question. Related questions are: gcc 4.8 for 12.04: ...
257
votes
10answers
171k views

What are PPAs and how do I use them?

I keep reading about Personal Package Archives ('PPAs') and people answer questions with a link to a PPA. What's the best way to use these? There are multiple valid answers for this question ...
120
votes
8answers
42k views

Are PPA's safe to add to my system and what are some “red flags” to watch out for?

I see a lot of interesting programs out there that can only be obtained by adding a "PPA" to the system but, if I'm understanding correctly, we should stay within the official "repositories" for ...
4
votes
1answer
4k views

Why can't I install g++?

while trying to compile a program with the following command: g++ -o <output_file> <my_file.cpp> I found the following report.... The program 'g++' can be found in the following ...
5
votes
1answer
9k views

How to install g++ 4.8?

I have G++ 4.7.2 on my Ubuntu 12.04 and I'm trying to install 4.8. I downloaded the file from the GNU repository. After configure and make, I get the following error: collect2: error: ld returned 1 ...
1
vote
3answers
3k views

Can't install gcc 4.8, dependency issues

I tried downoading 4.8 for 12.04 from https://launchpad.net/~ubuntu-toolchain-r/+archive/test/+packages (I did not find for 13.04 as is mentioned here: How to install gcc-4.8 in Ubuntu 12.04 from the ...
2
votes
1answer
2k views

GCC 4.8 / MINGW W64 4.8

There is a PPA where I can find these packages for 12.04? Also a build script will do the job! I've tried to download it from sources but the dependencies are a mess. I'd like to start porting my ...
0
votes
3answers
2k views

cmath: No such file or directory #include <cmath>

I downloaded and try to installed the package "wfconvert" from this link http://qmcpack.cmscc.org/tutorials/bulk-solid. but I got some error. here what I did: copy the wfconvert folder in root "/" ...
0
votes
0answers
637 views

Get latest G++ (4.7) for C++11?

Netbeans is complaining because I selected C++11 and my G++ version is 4.6 (4.7 supports C++11). However, I have tried: sudo apt-get install build-essential But g++ --version tells me I have ...
0
votes
0answers
320 views

Installing GCC-4.8.2

I have downloaded GCC 4.8.2.tar.gz,I have also installed mpc,gmp,mpr packages. But still I am unable To install these compilers. While make file it gives me error configure: error: source directory ...
0
votes
1answer
63 views

I have updated GCC, but g++ still seems to be using the stl files from the old GCC

I run ubuntu 12.04. Recently, I have followed this post and updated GCC to 4.8.1. Now, when I compile with g++, I get compiler output like these: /usr/include/c++/4.6/bits/stl_algobase.h:743: note: ...
1
vote
0answers
34 views

How to install gcc-4.8 (x64) on 12.10 [duplicate]

I want to install the newer 4.8 version of gcc, and when I searched for a solution i found this. But when trying to use the solution I ran into a quite annoying problem: sudo add-apt-repository ...